package jdshopapi

import (
	"testing"

	"git.rosy.net.cn/baseapi/utils"
)

func TestEnGet(t *testing.T) {
	err := api.OrderShipment(1, "logiCoprId", "logiNo")
	if err != nil {
		t.Fatal(err)
	}
	// t.Log(utils.Format4Output(result, false))
}

func TestGetDeliveryCompany(t *testing.T) {
	result, err := api.GetDeliveryCompany()
	if err != nil {
		t.Fatal(err)
	}
	t.Log(utils.Format4Output(result, false))
}

func TestGetOrder(t *testing.T) {
	// result, err := api.GetOrder(orderID, isStatus)
	// if err != nil {
	// 	t.Fatal(err)
	// }
	// t.Log(utils.Format4Output(result, false))
}

func TestVoucherInfoGet(t *testing.T) {
	result, err := api.VoucherInfoGet()
	if err != nil {
		t.Fatal(err)
	}
	t.Log(utils.Format4Output(result, false))
}

func TestKeyGet(t *testing.T) {
	result, err := api.KeyGet()
	if err != nil {
		t.Fatal(err)
	}
	t.Log(utils.Format4Output(result, false))
}

func TestGetOrderExtInfoByOrderId(t *testing.T) {
	result, err := api.GetOrderExtInfoByOrderId("140608998542")
	if err != nil {
		t.Fatal(err)
	}
	t.Log(utils.Format4Output(result, false))
}
